# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/10/31
@desc: sql直接统计指标直出
"""
import pandas as pd

from data import DataLoaderBase
from .metric_base import MetricBase


class MetricBySqlGeneral(MetricBase):

    def __init__(self, metric_name: str, metric_code: str):
        super().__init__(metric_name, metric_code)

    def validate_data(self):
        pass

    def load_data(self, data_loader: DataLoaderBase, sql: str) -> pd.DataFrame:
        data = data_loader.get_data(sql)
        return data

    def calculate(self, data_loader: DataLoaderBase, sql: str) -> pd.DataFrame:
        return self.load_data(data_loader, sql)
